## blueberry-1.4.8-2.src.tar.gz

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/blueberry-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/blueberry.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

=== debian/changelog ===
blueberry (1.4.8) vanessa; urgency=medium

  * Update README.md
  * l10n: Update files
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 11:52:22 +0200

blueberry (1.4.7) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:33:32 +0000

blueberry (1.4.6) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:22:10 +0000

blueberry (1.4.5) una; urgency=medium

  [ P. Radha Krishna ]
  * Added Turn bluetooth on/off option in tray menu #112 (#117)

  [ Michael Webster ]
  * blueberry-tray.py: Remove menu positioning code.
  * blueberry-tray.py: Silence a runtime warning.

  [ Mickey Rose ]
  * rfkillMagic: rewrite safechild in shell script to reduce memory usage (#115)

  [ P. Radha Krishna ]
  * Added build & install steps to readme file (#118)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Nov 2021 10:14:48 +0000

blueberry (1.4.4) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 14:38:00 +0100

blueberry (1.4.3) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:46:32 +0100

blueberry (1.4.2) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:31:59 +0000

blueberry (1.4.1) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:40:56 +0000

blueberry (1.4.0) ulyssa; urgency=medium

  [ okaestne ]
  * Don't use /usr/bin/env to call python3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:39:47 +0000

blueberry (1.3.9) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 11:39:08 +0100

blueberry (1.3.8) ulyana; urgency=medium

  [ Michael Webster ]
  * blueberry.ui: Change the valign of the headerbar switch to center, otherwise it wants to expand to fill the entire headerbar height.

  [ Clement Lefebvre ]
  * Remove Cinnamon applet
  * Make active tray icon more recognizable

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 May 2020 17:48:43 +0100

blueberry (1.3.7) ulyana; urgency=medium

  [ cptpcrd ]
  * obex: Remove hard requirement on deprecated hcitool

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 10:08:32 +0100

blueberry (1.3.6) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * blueberry.ui: Lower version requirement (current releases are still on gtk 3.22.
  * Fix debian/control to refer to python3.

  [ Clement Lefebvre ]
  * tray: Switch to symbolic icons (#100)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 21 Mar 2020 10:08:52 +0000

blueberry (1.3.5) debbie; urgency=medium

  [ Michael Webster ]
  * blueberry.py: Fix handling of the device name/alias.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 15:10:44 +0000

blueberry (1.3.4) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:10:29 +0000

blueberry (1.3.3) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 13:55:49 +0000

blueberry (1.3.2) tricia; urgency=medium

  [ samtygier ]
  * Handle error from rfkill (#94)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 10:12:12 +0000

blueberry (1.3.1) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:03:29 +0000

blueberry (1.3.0) tricia; urgency=medium

  [ Clement Lefebvre ]
  * Add support for XAppStatusIcon
  * StatusIcon: Switch to activate signal

  [ James Ross ]
  * obex: check for None when setting shared path
  * rework override to be compatible with any version

  [ shanmukhateja ]
  * Fix tray icon not shown with window (#89)

  [ James Ross ]
  * blueberry: UI redesign
  * rfkillMagic: support hotpluggable bt devices
  * rfkillMagic: support device indexes above 9
  * blueberry: rework rfkill error to be switch-specific
  * cleanup some unneded code

  [ Clement Lefebvre ]
  * UI: Ensure burger menu is visible
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 14:16:18 +0000

blueberry (1.2.9) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:23:07 +0200

blueberry (1.2.8) tina; urgency=medium

  [ Riccardo ]
  * Don't spin spinner in devices tab (#85)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 20 Jul 2019 16:48:45 +0200

blueberry (1.2.7) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:03:57 +0200

blueberry (1.2.6) tina; urgency=medium

  [ Clement Lefebvre ]
  * Fix generate_desktop_files

  [ Sebastiaan Lokhorst ]
  * Convert everything to use Python 3 (#66)

  [ Koen ]
  * Add paired submenu for quick connect/disconnect (#69)

  [ Clement Lefebvre ]
  * Tray: Use a tick image to represent connected device
  * l10n: Update POT
  * Tray: Fix paired menu when no devices are paired
  * Use shell launchers and use setproctitle to name the python processes

  [ shanmukhateja ]
  * rfkill: Show error message on permission denied (#83)

  [ Clement Lefebvre ]
  * rfkill: Show the error message in the UI
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 17:55:33 +0200

blueberry (1.2.5) tessa; urgency=medium

  * l10n: Update translations



=== PKGBUILD ===
# Maintainer: Balló György <ballogyor+arch at gmail dot com>
# Contributer: Sam Burgos <jsbm1089 at gmail dot com>

pkgname=blueberry
pkgver=1.4.8
pkgrel=2
pkgdesc="Bluetooth configuration tool"
arch=(any)
url="https://github.com/linuxmint/blueberry"
license=(GPL)
depends=(bluez-tools gnome-bluetooth python-dbus python-gobject python-setproctitle rfkill xapps)
source=(https://github.com/linuxmint/blueberry/archive/$pkgver/$pkgname-$pkgver.tar.gz)
sha256sums=('37a5b0bc3c7cbccee625209b9196a2e2966396cfe5c7652318559642fb6a7a32')

build() {
  cd $pkgname-$pkgver
  make
}

package() {
  cd $pkgname-$pkgver
  cp -r etc usr "$pkgdir"
}
